import { ActivityTagObject, ActivityUrlObject, VideoObject } from '../../../../../../peertube-models';
import { VideoFileModel } from '../../../../models/video/video-file.js';
import { VideoStreamingPlaylistModel } from '../../../../models/video/video-streaming-playlist.js';
import { FilteredModelAttributes } from '../../../../types/index.js';
import { MChannelId, MStreamingPlaylistVideo, MVideo, MVideoId } from '../../../../types/models/index.js';
declare function getThumbnailFromIcons(videoObject: VideoObject): import("../../../../../../peertube-models").ActivityIconObject;
declare function getPreviewFromIcons(videoObject: VideoObject): import("../../../../../../peertube-models").ActivityIconObject;
declare function getTagsFromObject(videoObject: VideoObject): string[];
declare function getFileAttributesFromUrl(videoOrPlaylist: MVideo | MStreamingPlaylistVideo, urls: (ActivityTagObject | ActivityUrlObject)[]): FilteredModelAttributes<VideoFileModel>[];
declare function getStreamingPlaylistAttributesFromObject(video: MVideoId, videoObject: VideoObject): (Partial<import("packages/typescript-utils/dist/types.js").AttributesOnly<VideoStreamingPlaylistModel>> & {
    id?: any;
    createdAt?: any;
    updatedAt?: any;
    deletedAt?: any;
    version?: any;
} & {
    tagAPObject?: ActivityTagObject[];
})[];
declare function getLiveAttributesFromObject(video: MVideoId, videoObject: VideoObject): {
    saveReplay: boolean;
    permanentLive: boolean;
    latencyMode: import("../../../../../../peertube-models").LiveVideoLatencyModeType;
    videoId: any;
};
declare function getCaptionAttributesFromObject(video: MVideoId, videoObject: VideoObject): {
    videoId: any;
    filename: string;
    language: string;
    fileUrl: string;
}[];
declare function getStoryboardAttributeFromObject(video: MVideoId, videoObject: VideoObject): {
    filename: string;
    totalHeight: number;
    totalWidth: number;
    spriteHeight: number;
    spriteWidth: number;
    spriteDuration: number;
    fileUrl: string;
    videoId: any;
};
declare function getVideoAttributesFromObject(videoChannel: MChannelId, videoObject: VideoObject, to?: string[]): {
    name: string;
    uuid: string;
    url: string;
    category: number;
    licence: number;
    language: string;
    description: string;
    support: string;
    nsfw: boolean;
    commentsEnabled: boolean;
    downloadEnabled: boolean;
    waitTranscoding: boolean;
    isLive: boolean;
    state: import("../../../../../../peertube-models").VideoStateType;
    channelId: any;
    duration: number;
    createdAt: Date;
    publishedAt: Date;
    originallyPublishedAt: Date;
    inputFileUpdatedAt: Date;
    updatedAt: Date;
    views: number;
    remote: boolean;
    privacy: 2 | 1;
};
export { getThumbnailFromIcons, getPreviewFromIcons, getTagsFromObject, getFileAttributesFromUrl, getStreamingPlaylistAttributesFromObject, getLiveAttributesFromObject, getCaptionAttributesFromObject, getStoryboardAttributeFromObject, getVideoAttributesFromObject };
//# sourceMappingURL=object-to-model-attributes.d.ts.map