/// <reference types="node" resolution-mode="require"/>
import { MStreamingPlaylistVideo, MVideo, MVideoFile } from '../../types/models/index.js';
declare function listHLSFileKeysOf(playlist: MStreamingPlaylistVideo): Promise<string[]>;
declare function storeHLSFileFromFilename(playlist: MStreamingPlaylistVideo, filename: string): Promise<string>;
declare function storeHLSFileFromPath(playlist: MStreamingPlaylistVideo, path: string): Promise<string>;
declare function storeHLSFileFromContent(playlist: MStreamingPlaylistVideo, path: string, content: string): Promise<string>;
declare function storeWebVideoFile(video: MVideo, file: MVideoFile): Promise<string>;
declare function updateWebVideoFileACL(video: MVideo, file: MVideoFile): Promise<void>;
declare function updateHLSFilesACL(playlist: MStreamingPlaylistVideo): Promise<void>;
declare function removeHLSObjectStorage(playlist: MStreamingPlaylistVideo): Promise<void>;
declare function removeHLSFileObjectStorageByFilename(playlist: MStreamingPlaylistVideo, filename: string): Promise<import("@aws-sdk/client-s3").DeleteObjectCommandOutput>;
declare function removeHLSFileObjectStorageByPath(playlist: MStreamingPlaylistVideo, path: string): Promise<import("@aws-sdk/client-s3").DeleteObjectCommandOutput>;
declare function removeHLSFileObjectStorageByFullKey(key: string): Promise<import("@aws-sdk/client-s3").DeleteObjectCommandOutput>;
declare function removeWebVideoObjectStorage(videoFile: MVideoFile): Promise<import("@aws-sdk/client-s3").DeleteObjectCommandOutput>;
declare function makeHLSFileAvailable(playlist: MStreamingPlaylistVideo, filename: string, destination: string): Promise<string>;
declare function makeWebVideoFileAvailable(filename: string, destination: string): Promise<string>;
declare function getWebVideoFileReadStream(options: {
    filename: string;
    rangeHeader: string;
}): Promise<{
    response: import("@aws-sdk/client-s3").GetObjectCommandOutput;
    stream: import("stream").Readable;
}>;
declare function getHLSFileReadStream(options: {
    playlist: MStreamingPlaylistVideo;
    filename: string;
    rangeHeader: string;
}): Promise<{
    response: import("@aws-sdk/client-s3").GetObjectCommandOutput;
    stream: import("stream").Readable;
}>;
export { listHLSFileKeysOf, storeWebVideoFile, storeHLSFileFromFilename, storeHLSFileFromPath, storeHLSFileFromContent, updateWebVideoFileACL, updateHLSFilesACL, removeHLSObjectStorage, removeHLSFileObjectStorageByFilename, removeHLSFileObjectStorageByPath, removeHLSFileObjectStorageByFullKey, removeWebVideoObjectStorage, makeWebVideoFileAvailable, makeHLSFileAvailable, getWebVideoFileReadStream, getHLSFileReadStream };
//# sourceMappingURL=videos.d.ts.map