import { UploadFiles } from 'express';
import memoizee from 'memoizee';
import { Transaction } from 'sequelize';
import { ThumbnailType_Type, VideoCreate, VideoPrivacyType, VideoStateType } from '../../../peertube-models';
import { VideoModel } from '../models/video/video.js';
import { FilteredModelAttributes } from '../types/index.js';
import { MThumbnail, MVideoFullLight, MVideoTag, MVideoThumbnail, MVideoUUID } from '../types/models/index.js';
export declare function buildLocalVideoFromReq(videoInfo: VideoCreate, channelId: number): FilteredModelAttributes<VideoModel>;
export declare function buildVideoThumbnailsFromReq(options: {
    video: MVideoThumbnail;
    files: UploadFiles;
    fallback: (type: ThumbnailType_Type) => Promise<MThumbnail>;
    automaticallyGenerated?: boolean;
}): Promise<MThumbnail[]>;
export declare function setVideoTags(options: {
    video: MVideoTag;
    tags: string[];
    transaction?: Transaction;
}): Promise<void>;
export declare function buildMoveJob(options: {
    video: MVideoUUID;
    previousVideoState: VideoStateType;
    type: 'move-to-object-storage' | 'move-to-file-system';
    isNewVideo?: boolean;
}): Promise<{
    type: "move-to-object-storage" | "move-to-file-system";
    payload: {
        videoUUID: string;
        isNewVideo: boolean;
        previousVideoState: VideoStateType;
    };
}>;
export declare function getVideoDuration(videoId: number | string): Promise<{
    duration: number;
    isLive: boolean;
}>;
export declare const getCachedVideoDuration: typeof getVideoDuration & memoizee.Memoized<typeof getVideoDuration>;
export declare function addVideoJobsAfterUpdate(options: {
    video: MVideoFullLight;
    isNewVideo: boolean;
    nameChanged: boolean;
    oldPrivacy: VideoPrivacyType;
}): Promise<import("bullmq").JobNode>;
//# sourceMappingURL=video.d.ts.map