import { Model } from 'sequelize-typescript';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
import { OAuthTokenModel } from './oauth-token.js';
export declare class OAuthClientModel extends Model<Partial<AttributesOnly<OAuthClientModel>>> {
    clientId: string;
    clientSecret: string;
    grants: string[];
    redirectUris: string[];
    createdAt: Date;
    updatedAt: Date;
    OAuthTokens: Awaited<OAuthTokenModel>[];
    static countTotal(): Promise<number>;
    static loadFirstClient(): Promise<OAuthClientModel>;
    static getByIdAndSecret(clientId: string, clientSecret: string): Promise<OAuthClientModel>;
}
//# sourceMappingURL=oauth-client.d.ts.map