import { type UserNotificationSetting, type UserNotificationSettingValueType } from '../../../../peertube-models';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
import { MNotificationSettingFormattable } from '../../types/models/index.js';
import { Model } from 'sequelize-typescript';
import { UserModel } from './user.js';
export declare class UserNotificationSettingModel extends Model<Partial<AttributesOnly<UserNotificationSettingModel>>> {
    newVideoFromSubscription: UserNotificationSettingValueType;
    newCommentOnMyVideo: UserNotificationSettingValueType;
    abuseAsModerator: UserNotificationSettingValueType;
    videoAutoBlacklistAsModerator: UserNotificationSettingValueType;
    blacklistOnMyVideo: UserNotificationSettingValueType;
    myVideoPublished: UserNotificationSettingValueType;
    myVideoImportFinished: UserNotificationSettingValueType;
    newUserRegistration: UserNotificationSettingValueType;
    newInstanceFollower: UserNotificationSettingValueType;
    autoInstanceFollowing: UserNotificationSettingValueType;
    newFollow: UserNotificationSettingValueType;
    commentMention: UserNotificationSettingValueType;
    abuseStateChange: UserNotificationSettingValueType;
    abuseNewMessage: UserNotificationSettingValueType;
    newPeerTubeVersion: UserNotificationSettingValueType;
    newPluginVersion: UserNotificationSettingValueType;
    myVideoStudioEditionFinished: UserNotificationSettingValueType;
    userId: number;
    User: Awaited<UserModel>;
    createdAt: Date;
    updatedAt: Date;
    static removeTokenCache(instance: UserNotificationSettingModel): void;
    toFormattedJSON(this: MNotificationSettingFormattable): UserNotificationSetting;
}
//# sourceMappingURL=user-notification-setting.d.ts.map