import { Transaction } from 'sequelize';
import { Model } from 'sequelize-typescript';
import { ResultList } from '../../../../peertube-models';
import { MUserAccountId, MUserId } from '../../types/models/index.js';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
import { VideoModel } from '../video/video.js';
import { UserModel } from './user.js';
export declare class UserVideoHistoryModel extends Model<Partial<AttributesOnly<UserVideoHistoryModel>>> {
    createdAt: Date;
    updatedAt: Date;
    currentTime: number;
    videoId: number;
    Video: Awaited<VideoModel>;
    userId: number;
    User: Awaited<UserModel>;
    static listForApi(user: MUserAccountId, start: number, count: number, search?: string): Promise<ResultList<VideoModel>>;
    static removeUserHistoryElement(user: MUserId, videoId: number): Promise<number>;
    static removeUserHistoryBefore(user: MUserId, beforeDate: string, t: Transaction): Promise<number>;
    static removeOldHistory(beforeDate: string): Promise<number>;
}
//# sourceMappingURL=user-video-history.d.ts.map