import { type ThumbnailType_Type } from '../../../../peertube-models';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
import { MThumbnail, MThumbnailVideo, MVideo } from '../../types/models/index.js';
import { Model } from 'sequelize-typescript';
import { VideoPlaylistModel } from './video-playlist.js';
import { VideoModel } from './video.js';
export declare class ThumbnailModel extends Model<Partial<AttributesOnly<ThumbnailModel>>> {
    filename: string;
    height: number;
    width: number;
    type: ThumbnailType_Type;
    fileUrl: string;
    automaticallyGenerated: boolean;
    onDisk: boolean;
    videoId: number;
    Video: Awaited<VideoModel>;
    videoPlaylistId: number;
    VideoPlaylist: Awaited<VideoPlaylistModel>;
    createdAt: Date;
    updatedAt: Date;
    previousThumbnailFilename: string;
    private static readonly types;
    static removeOldFile(instance: ThumbnailModel, options: any): any;
    static removeFiles(instance: ThumbnailModel): void;
    static loadByFilename(filename: string, thumbnailType: ThumbnailType_Type): Promise<MThumbnail>;
    static loadWithVideoByFilename(filename: string, thumbnailType: ThumbnailType_Type): Promise<MThumbnailVideo>;
    static buildPath(type: ThumbnailType_Type, filename: string): string;
    getOriginFileUrl(video: MVideo): string;
    getLocalStaticPath(): string;
    getPath(): string;
    getPreviousPath(): string;
    removeThumbnail(): Promise<void>;
    removePreviousFilenameIfNeeded(): void;
    isOwned(): boolean;
}
//# sourceMappingURL=thumbnail.d.ts.map