import { LiveVideo, type LiveVideoLatencyModeType } from '../../../../peertube-models';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
import { MVideoLive, MVideoLiveVideoWithSetting } from '../../types/models/index.js';
import { Transaction } from 'sequelize';
import { Model } from 'sequelize-typescript';
import { VideoLiveReplaySettingModel } from './video-live-replay-setting.js';
import { VideoModel } from './video.js';
export declare class VideoLiveModel extends Model<Partial<AttributesOnly<VideoLiveModel>>> {
    streamKey: string;
    saveReplay: boolean;
    permanentLive: boolean;
    latencyMode: LiveVideoLatencyModeType;
    createdAt: Date;
    updatedAt: Date;
    videoId: number;
    Video: Awaited<VideoModel>;
    replaySettingId: number;
    ReplaySetting: Awaited<VideoLiveReplaySettingModel>;
    static deleteReplaySetting(instance: VideoLiveModel, options: {
        transaction: Transaction;
    }): Promise<number>;
    static loadByStreamKey(streamKey: string): Promise<MVideoLiveVideoWithSetting>;
    static loadByVideoId(videoId: number): Promise<MVideoLive>;
    toFormattedJSON(canSeePrivateInformation: boolean): LiveVideo;
}
//# sourceMappingURL=video-live.d.ts.map